package com.ynet.life.base;

import com.ynet.gene.core.GENEException;
import com.ynet.gene.log.GENELog;
import com.ynet.gene.log.GENELog4jLog;
import com.ynet.gene.session.SessionException;
import com.ynet.gene.web.servlet.mvc.BizLogicException;
import com.ynet.life.exception.TranFailException;

/* loaded from: com_ynet_life_base.jar:com/ynet/life/base/LifeLog4jLog.class */
public class LifeLog4jLog extends GENELog4jLog {
    public void log(String component, int type, int level, String message, Throwable t) {
        if (t != null) {
            if (t instanceof TranFailException) {
                TranFailException tranFailException = (TranFailException) t;
                if (!tranFailException.isPrintTraceMessage()) {
                    t = null;
                    type = GENELog.WARNING;
                    if (message == null || message.length() == 0) {
                        message = tranFailException.getMessage();
                    }
                }
            } else if (t instanceof BizLogicException) {
                t = null;
                type = GENELog.WARNING;
            } else if (t instanceof SessionException) {
                t = null;
                type = GENELog.WARNING;
            } else if (t instanceof GENEException) {
                GENEException empException = (GENEException) t;
                if (empException.getCause() instanceof TranFailException) {
                    TranFailException subTranFailException = empException.getCause();
                    if (!subTranFailException.isPrintTraceMessage()) {
                        t = null;
                        type = GENELog.WARNING;
                        if (message == null || message.length() == 0) {
                            message = subTranFailException.getMessage();
                        }
                    }
                }
            }
        }
        super.log(component, type, level, message, t);
    }
}
